# Telegraf-influxDB-grafana

![LOGO](docs/logo.png)

## Config

- Grafana: grafana/provisioning/datasources/influxdb.yml (password for influxdb)
- InfluxDB: 
- Telegraf: telegraf/telegraf.conf (line 63)

### Production use

![PUSE](docs/production.png)

- Telegraf config: telegraf.conf (line 63)

urls = ["http://SERVER-IP:8086"] # required

## Usage

- get docker UID for telegraf (agent only)
```bash
./get-docker-id.sh
```

- start stack
```bash
docker-compose up -d
```

- see logs
```bash
docker-compose logs -f
```

## Dashboards

- AMD64: 
- ARM64: 

---------------------
## Services and Ports

### Grafana

- URL: http://localhost:3000 
- User: admin 
- Password: admin 

### Telegraf

- Port: 8125 UDP (StatsD input)

### InfluxDB

- Port: 8086 (HTTP API)
- User: admin 
- Password: admin 
- Database: influx

# To do:

- [ ] script install
- [ ] Prometheus + Alertmanager
